export declare class RemotePuthClient {
    private readonly externalUri;
    private axios;
    private options;
    private assertionHandler;
    constructor(externalUri: any, options?: any);
    setAssertionHandler(assertionHandler: (assertion: any) => any): void;
    getAssertionHandler(): ((assertion: any) => any) | undefined;
    contextCreate(options?: {}): Promise<any>;
    contextCall(rpcPacket: any): Promise<any>;
    contextGet(rpcPacket: any): Promise<any>;
    contextSet(rpcPacket: any): Promise<any>;
    contextDelete(rpcPacket: any): Promise<any>;
    contextDestroy(rpcPacket: any): Promise<any>;
}
