import { Puth } from '../Server';
import Context from './Context';
export declare enum PuthPluginType {
    ContextPlugin = "ContextPlugin",
    InstancePlugin = "InstancePlugin"
}
export type PuthPluginGeneric<T> = {
    new (...args: any[]): T;
    PluginType: PuthPluginType;
};
export declare abstract class PuthPlugin {
    static readonly PluginType: any;
    abstract install(param: Puth | Context): any;
}
