import { SocketStream } from '@fastify/websocket';
import { ExtensionCodec } from '@msgpack/msgpack';
export declare const PUTH_EXTENSION_CODEC: ExtensionCodec<undefined>;
declare class WebsocketConnectionHandler {
    sockets: SocketStream[];
    push(socket: SocketStream): void;
    pop(socket: SocketStream): void;
    broadcastAll(message: string | object | object[]): void;
    serialize(object: string | object | object[]): Uint8Array;
}
declare const WebsocketConnections: WebsocketConnectionHandler;
export default WebsocketConnections;
